> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Queue

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

Use this API to delete a specific queue with the given `botId` and `queueId`.

| **Method**        | DELETE                                                                                                                         |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **Endpoint**      | `https://{{host}}/agentassist/api/v1/public/{{botId}}/queues/{id}`                                                             |
| **Content Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | Configuration                                                                                                                  |

## Path Parameters

| **Parameter** | **Description**                                                                                    | **Type**         |
| ------------- | -------------------------------------------------------------------------------------------------- | ---------------- |
| `host`        | Environment URL, for example, `https://platform.kore.ai`                                           | string, required |
| `streamId`    | botId or streamId. You can get it from the App Settings page.                                      | string, required |
| `id`          | Can be taken from the [/queues GET API](/ai-for-service/apis/contact-center/get-a-specific-queue). | string, required |

## Sample Request

```
curl --location --request DELETE 'http://{{host}}/agentassist/api/v1/public/{{botId}}/queues' \
--header 'accept: application/json' \
--header 'accountId: 64dc99337ac0b4d3d684exxx' \
--header 'auth: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6ImNzLTdlZjBkY2IwLTQ1ZTItNTY3YS1hYzMyLTkwNTA1NzdmMWIyYiJ9.7t145BjU0eZDdlnXYazmqkVT-8WpDIUgCquQM0Uxxxx' \
--header 'Content-Type: application/json' \
--data ''
```
